<?xml version="1.0" encoding="utf-8"?>
<XSL:stylesheet xmlns:XSL="http://www.w3.org/1999/XSL/Transform"
                xmlns:its="http://www.w3.org/2005/11/its"
                xmlns:tei="http://www.tei-c.org/ns/1.0"
                version="1.0"
                tei:ext-dummy-for-xmlns="">
   <XSL:output method="xml" indent="yes" encoding="utf-8"/>
   <XSL:template match="its:*" priority="2"/>
   <XSL:template match="*" priority="1">
      <XSL:copy>
         <XSL:apply-templates select=".|@*" mode="translate"/>
         <XSL:apply-templates select=".|@*" mode="dir"/>
         <XSL:apply-templates select=".|@*" mode="term"/>
         <XSL:apply-templates select=".|@*" mode="locInfo"/>
         <XSL:apply-templates select=".|@*" mode="otherITS"/>
         <XSL:apply-templates select="@*|*|text()|processing-instruction()|comment()"/>
      </XSL:copy>
   </XSL:template>
   <XSL:template match="*|@*" mode="translate" priority="1"/>
   <XSL:template match="*|@*" mode="dir" priority="1"/>
   <XSL:template match="*|@*" mode="term" priority="1"/>
   <XSL:template match="*|@*" mode="locInfo" priority="1"/>
   <XSL:template match="*|@*" mode="otherITS" priority="1"/>
   <XSL:template match="@*|processing-instruction()|comment()|text()" priority="1">
      <XSL:copy/>
   </XSL:template>
   <XSL:template match="code" mode="translate" priority="11">
      <XSL:choose>
         <XSL:when test="self::*">
            <XSL:attribute namespace="http://www.w3.org/2005/11/its" name="translate">no</XSL:attribute>
         </XSL:when>
         <XSL:otherwise>
            <XSL:message>Warning, may have lost details pertaining to code</XSL:message>
            <XSL:copy/>
         </XSL:otherwise>
      </XSL:choose>
   </XSL:template>
   <XSL:template match="textInCode" mode="translate" priority="12">
      <XSL:choose>
         <XSL:when test="self::*">
            <XSL:attribute namespace="http://www.w3.org/2005/11/its" name="translate">yes</XSL:attribute>
         </XSL:when>
         <XSL:otherwise>
            <XSL:message>Warning, may have lost details pertaining to textInCode</XSL:message>
            <XSL:copy/>
         </XSL:otherwise>
      </XSL:choose>
   </XSL:template>
   <XSL:template match="*[@trans='true']" mode="translate" priority="13">
      <XSL:choose>
         <XSL:when test="self::*">
            <XSL:attribute namespace="http://www.w3.org/2005/11/its" name="translate">yes</XSL:attribute>
         </XSL:when>
         <XSL:otherwise>
            <XSL:message>Warning, may have lost details pertaining to *[@trans='true']</XSL:message>
            <XSL:copy/>
         </XSL:otherwise>
      </XSL:choose>
   </XSL:template>
   <XSL:template match="*[@trans='false']" mode="translate" priority="14">
      <XSL:choose>
         <XSL:when test="self::*">
            <XSL:attribute namespace="http://www.w3.org/2005/11/its" name="translate">no</XSL:attribute>
         </XSL:when>
         <XSL:otherwise>
            <XSL:message>Warning, may have lost details pertaining to *[@trans='false']</XSL:message>
            <XSL:copy/>
         </XSL:otherwise>
      </XSL:choose>
   </XSL:template>
</XSL:stylesheet>